Page MenuHomePhabricator

Draft requirements for sub-reference support in VE
Open, Needs TriagePublic

Description

T100645 proposes a way to make it easier for readers and editors to understand the sources used in articles by creating a way to refer to different pages of the same work when adding references to an article.

The implementation of the above will affect the experience of contributors editing using the VisualEditor.

This task is about defining what the experience for contributors editing in VE will need to be before the first version of the new sub-referencing feature is deployed. [1]

Requirements

  • An article's sub-references should appear to you, someone in editing in VE, the same way they appear to you when you are viewing that article's sub-references in read mode.
  • As someone editing a sub-reference in VE, it should be clear you are editing a reference that has a relationship to other reference(s)
    • As someone editing a sub-reference in VE, it should be clear to you what reference said sub-reference relates to.
  • As someone editing a sub-reference in VE, you should not be able to accidentally "orphan" sub-references by deleting their parent reference
  • As someone editing in VE, you should not be able to mistakenly break/delete parent references by attempting to edit the contents of a sub-reference or change their group

Done

  • The "Requirements" section above is finalized. See: T245299#5939925
  • WMF's Editing-team has reached an agreement with the team at WMDE responsible for implementing T100645 that the requirements listed in the "Requirements" section above will be met before any version of the new feature is released

Links


  1. This project is somewhat unique in so far it introduces new functionality by way of new wikitext syntax which cannot be "rolled back" thus the need for the above "Requirements" to be met before anything is deployed.

Event Timeline

ppelberg created this task.Feb 14 2020, 8:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2020, 8:15 PM
ppelberg updated the task description. (Show Details)Feb 14 2020, 8:16 PM
ppelberg moved this task from 📚 Backlog to 📢 To Do on the Editing Design board.

Adding Editing Design so @iamjessklein can review ahead of tomorrow's meeting.

ppelberg set Due Date to Feb 27 2020, 1:00 AM.
ppelberg updated the task description. (Show Details)Feb 26 2020, 11:38 PM
ppelberg updated the task description. (Show Details)Feb 27 2020, 4:23 PM

Update: 3-March

Below are notes and actions items from our 27-February meeting with WMDE.

I am removing the "⚠️ Please note: the requirements in this section are not finalized." disclaimer from the "Requirements" section of the task description considering we (WMDE + Editing) finalized these requirements when we met last week.


"Requirements" discussion notes

  • WMDE and Editing agreed the requirements listed in the task description will be met before the sub-references feature is rolled out on any production wikis (approx. timing: mid-April) with one exception (see below).
  • While WMDE and Editing agree with this requirement – As someone editing a sub-reference in VE, you should not be able to accidentally "orphan" sub-references by deleting their parent reference – we did not determine an approach for the initial user experience we think will fulfill this requirement.

Next steps as it relates to "Requirements"

  • WMDE to explore and share potential user experiences for fulfilling the requirement mentioned in the discussion notes above: As someone editing a sub-reference in VE, you should not be able to accidentally "orphan" sub-references by deleting their parent reference
    • One idea that was discussed: show a hint in the reference pop-up that alerts contributors that other (read: sub-references) depend on the reference (read: parent reference) they are editing.
ppelberg removed iamjessklein as the assignee of this task.Mar 4 2020, 2:44 AM
ppelberg removed a project: Editing Design.
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg added subscribers: thiemowmde, Lena_WMDE.
ppelberg assigned this task to Lena_WMDE.Mar 4 2020, 3:15 PM

hey – @Lena_WMDE, I'm boldly assigning this task over to you based on the outcomes of our meeting last week (see below).

Although, if you did not expect this, please let me know and we can figure who this task's proper owner is for now.


Update: 3-March

Next steps as it relates to "Requirements"

  • WMDE to explore and share potential user experiences for fulfilling the requirement mentioned in the discussion notes above: As someone editing a sub-reference in VE, you should not be able to accidentally "orphan" sub-references by deleting their parent reference
    • One idea that was discussed: show a hint in the reference pop-up that alerts contributors that other (read: sub-references) depend on the reference (read: parent reference) they are editing.

@ppelberg, @Lena_WMDE: The Due Date set for this open task is three months ago. Can you please either update or reset the Due Date (by clicking Edit Task), or set the status of this task to resolved in case this task is done? Thanks!

@ppelberg, @Lena_WMDE: The Due Date set for this open task is three months ago. Can you please either update or reset the Due Date (by clicking Edit Task), or set the status of this task to resolved in case this task is done? Thanks!

Due date removed. Thank you for the bump, @Aklapper.

Jurbop added a subscriber: Jurbop.Nov 30 2020, 5:09 PM
ppelberg moved this task from To Triage to Triaged on the VisualEditor board.Dec 1 2020, 4:23 PM